### Function

# GLib int_equal

#### Declaration [src]

    gboolean
    g_int_equal (
      gconstpointer v1,
      gconstpointer v2
    )

#### Description [src]

Compares the two #gint values being pointed to and returns `TRUE` if they are equal. It can be passed to `g_hash_table_new()` as the `key_equal_func` parameter, when using non-`NULL` pointers to integers as keys in a `GHashTable`.

Note that this function acts on pointers to #gint, not on #gint directly: if your hash table’s keys are of the form `GINT_TO_POINTER (n)`, use `g_direct_equal()` instead.

#### Parameters

`v1`

  Type: `gconstpointer`

  A pointer to a #gint key.

  The data is owned by the caller of the function.

`v2`

  Type: `gconstpointer`

  A pointer to a #gint key to compare with `v1`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the two keys match.